class_name Card extends CenterContainer

@onready var itemButton = $ItemButton
@onready var ItemAmountLabel = $ItemButton/ItemAmountLabel

@export var itemType: GLOBALS.ITEMTYPES = GLOBALS.ITEMTYPES.STANDARDBULLET

signal selected(_itemType: GLOBALS.ITEMTYPES)

func _on_item_button_pressed() -> void:
	selected.emit(itemType)

func setAmount(amount: int) -> void:
	ItemAmountLabel.text = str(amount)
